POST
/v1/mgmt/outbound/app/user/oauthtoken/uploadAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
appId?string
userId?string
tenantId?string
refreshToken?string
accessToken?string
accessTokenExpiry?integer
Format
int32accessTokenType?string
scopes?array<string>
string
externalIdentifier?string
idToken?string
verifyRefresh?boolean
grantedBy?string
Upload a user OAuth token for an outbound application
Import a pre-existing user-scoped OAuth token into an outbound application without requiring the user to re-run the OAuth flow. Requires a management key.
curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/user/oauthtoken/upload" \ -H "Content-Type: application/json" \ -d '{}'{}export interface Response {} Was this helpful?
Upload tenant API key for outbound app POST
Upload/set a static API key for a tenant on an apikey-type outbound application, using a valid management key.
Upload Outbound App Tenant OAuth Token POST
### Upload a tenant OAuth token for an outbound application Import a pre-existing tenant-scoped OAuth token into an outbound application without requiring the user to re-run the OAuth flow. Requires a management key.